Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::Timer Class Reference

`#include <timer.hpp>`

## Public Member Functions
| Timer ()=default
void | start () noexcept
void | stop () noexcept
int64_t | elapsed_microseconds () const noexcept

## Constructor & Destructor Documentation

## ◆ Timer()

osmium::Timer::Timer | ( |  | ) |
| default

## Member Function Documentation

## ◆ elapsed_microseconds()

int64_t osmium::Timer::elapsed_microseconds | ( |  | ) | const
| inline noexcept

## ◆ start()

void osmium::Timer::start | ( |  | ) |
| inline noexcept

## ◆ stop()

void osmium::Timer::stop | ( |  | ) |
| inline noexcept

The documentation for this class was generated from the following file:

- include/osmium/util/timer.hpp